{
    attributes = (
        {
            columnName = C_CIVILITE; 
            externalType = VARCHAR2; 
            name = cCivilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = L_CIVILITE; 
            externalType = VARCHAR2; 
            name = lCivilite; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = SEXE; 
            externalType = VARCHAR2; 
            name = sexe; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cCivilite); 
    className = EOGenericRecord; 
    classProperties = (cCivilite, lCivilite, sexe, dCreation, dModification); 
    externalName = GRHUM.CIVILITE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumCivilite; 
    primaryKeyAttributes = (cCivilite); 
}
